package com.oreilly.onjava.jmxexample;

import javax.swing.JFrame;
import javax.swing.JButton;
import javax.swing.JPanel;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

public class SimpleApplication extends JFrame
{
   public static final String imageFileName = "images/yosemite_lake.jpg";
   
   public SimpleApplication()
   {
      this.setTitle("Simple Local Application");
      this.setBounds(10,10,300,250);
      JPanel panel = new JPanel();
      JButton createWindowButton = new JButton("Create Image Window");
      createWindowButton.addActionListener(new ActionListener(){
         public void actionPerformed(ActionEvent ae)
         {
            createImageWindow();
         }
      });
      panel.add(createWindowButton);
      this.getContentPane().add(panel);
      this.addWindowListener(new WindowAdapter(){
         public void windowClosing(WindowEvent e)
         {
            System.exit(0);
         }
      });
      this.setVisible(true);
   }
   
   public void createImageWindow()
   {
      ImageWindow imageWindow = new ImageWindow(imageFileName);
   }
   
   public static void main(String[] args)
   {
      SimpleApplication simpleApplication = new SimpleApplication();
   }
}
